Field NationDeveloper Platform
Field NationDeveloper Platform
Overview

Work Orders

Resources

Get Dispatch Settings GETCreate Dispatch Settings POSTUpdate Dispatch Settings PUTGet project by ID GETGet projects GETCreate project POSTGet Provider Talent Pool Group Assignments in Project GETUpdate Provider Talent Pool Group Assignments in Project PUTAdd multiple providers to project talent pool groups POST
OrganizationProjects

Update Provider Talent Pool Group Assignments in Project


This endpoint updates a provider's talent pool group and tier assignments for a specific project. It removes old tier assignments and adds new ones based on the provided data. The provider ID itself cannot be changed.

PUT
/api/rest/v2/projects/{project_id}/providers/{provider_id}

Authorization

access_token
access_token<token>

OAuth 2.0 Access Token

In: query

Path Parameters

project_id*integer

Project ID

provider_id*integer

Provider ID

Request Body

application/json

Updated talent pool group assignment details

talent_pool_groups*array<>

Updated talent pool group assignment details

curl -X PUT "https://api-sandbox.fndev.net/api/rest/v2/projects/0/providers/0" \  -H "Content-Type: application/json" \  -d '{    "talent_pool_groups": [      {        "talent_pool_group_id": "c9024ae8-781c-4aa9-b86f-54367Idb9208",        "tier_id": 2      }    ]  }'
{
  "success": true
}
{
  "status": 500,
  "message": "Operation successful."
}
{
  "status": 500,
  "message": "Operation successful."
}
{
  "status": 500,
  "message": "Operation successful."
}

Response Body

application/json

application/json

application/json

application/json

Last updated on

Get Provider Talent Pool Group Assignments in Project GET

Previous Page

Add multiple providers to project talent pool groups POST

Next Page

curl -X PUT "https://api-sandbox.fndev.net/api/rest/v2/projects/0/providers/0" \
  -H "Content-Type: application/json" \
  -d '{
    "talent_pool_groups": [
      {
        "talent_pool_group_id": "c9024ae8-781c-4aa9-b86f-54367Idb9208",
        "tier_id": 2
      }
    ]
  }'